%define	upstream_name	 Compress-Raw-Bzip2
%define upstream_version 2.074

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Low-Level Interface to bzip2 compression library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: bzip2-devel
BuildRequires: perl-devel

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
Low-Level Interface to bzip2 compression library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorarch}/Compress
%{perl_vendorarch}/auto/Compress


%changelog
* Sat Feb 25 2017 shlomif <shlomif> 2.74.0-1.mga6
+ Revision: 1087837
- New version 2.074 + .spec modernisation

* Mon Feb 06 2017 pterjan <pterjan> 2.69.0-4.mga6
+ Revision: 1084909
- Rebuild for new perl to override core

* Thu May 12 2016 tv <tv> 2.69.0-3.mga6
+ Revision: 1013958
- rebuild for new perl as it's dual packaged

* Thu Dec 31 2015 tv <tv> 2.69.0-2.mga6
+ Revision: 917225
- rebuild for perl-5.22.1 (fixing other packages testsuite b/c perl-base one is too old)

* Mon Sep 28 2015 sander85 <sander85> 2.69.0-1.mga6
+ Revision: 884455
- update to 2.069

* Thu Jun 25 2015 tv <tv> 2.68.0-2.mga6
+ Revision: 843569
- rebuild for perl-5.22

* Sun Jun 21 2015 sander85 <sander85> 2.68.0-1.mga6
+ Revision: 837096
- update to 2.068

* Sun Oct 19 2014 umeabot <umeabot> 2.64.0-6.mga5
+ Revision: 789847
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.64.0-5.mga5
+ Revision: 750699
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.64.0-4.mga5
+ Revision: 732950
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.64.0-3.mga5
+ Revision: 683968
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.64.0-2.mga5
+ Revision: 630906
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 2.64.0-1.mga5
+ Revision: 587916
- update to 2.064

* Mon Oct 21 2013 umeabot <umeabot> 2.62.0-3.mga4
+ Revision: 538450
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 2.62.0-2.mga4
+ Revision: 489723
- Rebuild for new perl

* Mon Aug 12 2013 sander85 <sander85> 2.62.0-1.mga4
+ Revision: 465942
- update to 2.062

* Mon Jun 03 2013 jquelin <jquelin> 2.61.0-1.mga4
+ Revision: 436393
- update to 2.061

* Wed May 29 2013 jquelin <jquelin> 2.60.0-5.mga4
+ Revision: 430577
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 2.60.0-4.mga4
+ Revision: 429958
- rebuild for new perl

* Wed Mar 27 2013 jquelin <jquelin> 2.60.0-3.mga3
+ Revision: 405451
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.60.0-2.mga3
+ Revision: 364562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.60.0-1.mga3
+ Revision: 341874
- update to 2.060

* Wed Nov 14 2012 jquelin <jquelin> 2.58.0-2.mga3
+ Revision: 317679
- bs ate previous submission

* Wed Nov 14 2012 jquelin <jquelin> 2.58.0-1.mga3
+ Revision: 317603
- update to 2.058

* Wed Nov 07 2012 jquelin <jquelin> 2.55.0-2.mga3
+ Revision: 315488
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 2.55.0-1.mga3
+ Revision: 284584
- update to 2.055

* Fri Jun 01 2012 jquelin <jquelin> 2.52.0-1.mga3
+ Revision: 252846
- update to 2.052

* Wed May 30 2012 jquelin <jquelin> 2.49.0-2.mga3
+ Revision: 250352
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 2.49.0-1.mga2
+ Revision: 219795
- update to 2.049

* Mon Dec 05 2011 kharec <kharec> 2.45.0-1.mga2
+ Revision: 176794
- update to 2.045

* Sun Dec 04 2011 kharec <kharec> 2.44.0-1.mga2
+ Revision: 175765
- update to 2.044

* Sat Dec 03 2011 kharec <kharec> 2.43.0-1.mga2
+ Revision: 175667
- update to 2.043

* Sat Nov 19 2011 kharec <kharec> 2.42.0-1.mga2
+ Revision: 169302
- update to 2.042

* Sat Nov 05 2011 kharec <kharec> 2.40.0-1.mga2
+ Revision: 163400
- update to 2.040

* Fri Nov 04 2011 jquelin <jquelin> 2.37.0-2.mga2
+ Revision: 162789
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 2.37.0-1.mga2
+ Revision: 112314
- update to 2.037

* Wed Jun 22 2011 jquelin <jquelin> 2.36.0-1.mga2
+ Revision: 112047
- update to 2.036

* Fri Jun 17 2011 jquelin <jquelin> 2.35.0-1.mga2
+ Revision: 108933
- update to 2.035

* Sat Jun 11 2011 sander85 <sander85> 2.33.0-3.mga2
+ Revision: 103724
- perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 2.33.0-2.mga1
+ Revision: 53575
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 2.33.0-1.mga1
+ Revision: 52532
- update to 2.033

* Fri Jan 21 2011 jquelin <jquelin> 2.32.0-1.mga1
+ Revision: 29937
- mageia rebuild
- imported package perl-Compress-Raw-Bzip2

